name: walint
version: 0.1
homepage: https://stuebinm.eu/git/walint
# TODO: license
author: stuebinm
maintainer: stuebinm@disroot.org
copyright: 2022 stuebinm
ghc-options: -Wall -Wno-name-shadowing -Wno-unticked-promoted-constructors
default-extensions: NoImplicitPrelude

dependencies:
  - base
  - universum
  - aeson
  - bytestring
  - text

internal-libraries:
  tiled:
    source-dirs: 'tiled'
    dependencies:
      - vector
    exposed-modules:
      - Data.Tiled
      - Data.Tiled.Abstract

library:
  source-dirs: 'lib'
  dependencies:
    - containers
    - tiled
    - text
    - vector
    - transformers
    - either
    - filepath
    - getopt-generics
    - regex-tdfa
    - extra
    - deepseq
    - dotgen
    - text-metrics
    - uri-encode
    - network-uri
    - HList
  exposed-modules:
    - CheckDir
    - CheckMap
    - WriteRepo
    - Util
    - Types
    - LintConfig

executables:
  walint:
    main: Main.hs
    source-dirs: 'src'
    dependencies:
      - walint
      - getopt-generics
      - aeson-pretty
      - template-haskell
      - process
  cwality-maps:
    main: Main.hs
    source-dirs: 'cwality-maps'
    ghc-options: -rtsopts -threaded
    dependencies:
      - tiled
      - servant
      - servant-server
      - wai
      - wai-extra
      - warp
      - fmt
      - tomland
      - microlens-platform
      - directory
      - filepath
      - containers
      - base64
  walint-mapserver:
    main: Main.hs
    source-dirs: 'server'
    ghc-options: -rtsopts -threaded
    dependencies:
      - walint
      - containers
      - base-compat
      - time
      - directory
      - filepath
      - warp
      - wai
      - wai-extra
      - lucid
      - servant
      - servant-server
      - servant-client
      - servant-lucid
      - http-types
      - http-client
      - process
      - extra
      - microlens-platform
      - fmt
      - tomland
      - stm
      - async
      - cryptohash-sha1
      - uuid
      - base64-bytestring
